import React from 'react';
import PropTypes from 'prop-types';
import Instructions from './instructions'

const InstructionForm = ({onNewInstruction, onClear}) => {
  let _instruction;
  const add = (e) => {
    e.preventDefault();
    onNewInstruction(_instruction.value);
    clearInputs();
  }
  const clear = (e) => {
    e.preventDefault();
    onClear();
  }
  const clearInputs = () => {
    _instruction.value = '';
  }
  return (
    <div className="instruction-form">
      <input className="form-control" ref={i => _instruction = i} type="text" placeholder="Instruction"/>
      <div className="mt-2">
        <button className="btn btn-outline-success mr-2" onClick={add}>Add</button>
        <button className="btn btn-outline-success mr-2" onClick={clear}>Clear</button>
      </div>
    </div>
  );
};

InstructionForm.defaultProps = {
  onNewInstruction(step) {},
  onClear() {}
}

export default InstructionForm;
